<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>columns-009</title>
	<style>
		@page {
			margin: 1cm;
			size: A5;
		}

		main {
			display: block;
			columns: 3;
			column-fill: auto;
			column-rule: solid 1px black;
			background-color: lightgrey;
			border: solid 1px black;
			padding: 1em;
			box-decoration-break: clone;
			-ps-box-remaining-extent: fill;
		}

		.column {
			break-before: column;
		}
	</style>
</head>
<body>
<main>
	<div class="column">Page 1 - Column 1</div>
	<div class="column">Page 1 - Column 2</div>
	<div class="column">Page 1 - Column 3</div>
	<div class="column">Page 2 - Column 1</div>
</main>
</body>
</html>

